package com.ruoyi.project.business.service.quotation;

import com.ruoyi.project.business.domain.TqPriceDetail;
import com.ruoyi.project.business.domain.bo.quotation.ElevatorAddBO;

import java.math.BigDecimal;
import java.util.List;

public interface IPriceCalcService {

    Long calculateBasicPrice(ElevatorAddBO elevator, List<TqPriceDetail> tqPriceDetailList);

    BigDecimal calculateAgentDiscount(ElevatorAddBO elevator, String formula);

    void statisticsOptionalPrice(ElevatorAddBO elevator, List<TqPriceDetail> result);

}
